let config = require("../../config/config.js");
let app = getApp();
const Http = require("../../utils/HttpBasics");
const util = require("../../utils/util");
var WxParse = require('../../wxParse/wxParse.js');
const imgurl = require("../../utils/imgurl");
const extConfig = wx.getExtConfigSync ? wx.getExtConfigSync() : {}
let configUrls = extConfig.attr.configUrl;
Page({
  data: {
    data: {},
    status: 1,
    couponId: null,
    orderId: "",
    question: [],
    day: "",
    hour: "",
    activityId: "",
    wmhome: imgurl.wmhome.url,
    minute: "",
    nodes: ''
  },
  onLoad(options) {
    let that = this;
    if(options&&options.id){
      that.setData({
        activityId: options.id
      })
      that.findById(options.id);
    }
  },
  findById(id) {
    let that = this;
    Http.get({
      url: config.api.acfindById,
      data: {
        id: id
      }
    }).then(res => {
      
      that.setData({
        status: res.data.status
      });
      if (res && res.data && res.data.activity) {
        that.setData({
          data: res.data.activity
        })

        that.setData({
          activityStartTime: util.formatTime(res.data.activity.activityStartTime, "yyyy-MM-dd hh:mm:ss"),
          activityEndTime: util.formatTime(res.data.activity.activityEndTime, "yyyy-MM-dd hh:mm:ss"),
          startTime: util.formatTime(res.data.activity.startTime, "yyyy-MM-dd hh:mm:ss"),
          endTime: util.formatTime(res.data.activity.endTime, "yyyy-MM-dd hh:mm:ss")
        })
        if (res.data.activity.type == 2) {
          var temp = WxParse.wxParse('article', 'html', res.data.activity.html, that, 5);
        }
      }
    }).catch(err => {
      wx.showToast({
        title: err.errMsg,
        icon: 'none',
        duration: 2000,
        mask: false
      })
    })

  },
  //跳转到报名详情页
  goSignUp(e) {
    wx.showLoading({
      title: '报名中...',
    })
    let activityId = e.currentTarget.dataset.activityid;
    this.checkUserStatus(activityId);
  },
  checkUserStatus(activityId){
    let that = this;
    Http.get({
      url: config.api.checkPhoneStatus,
      data: {}
    }).then(res=>{
      wx.hideLoading()
      wx.navigateTo({
        url: `/pages/radetail/joinActivity/edit?activityId=${activityId}`,
      })
    }).catch(err=>{
      wx.hideLoading()
      wx.navigateTo({
        url: `/pages/getphoneInfo/index?signActivity=${activityId}`,
      })
    })
  },
  goback: function() {
    wx.switchTab({
      url: '/pages/main/index',
    })
  },
  gotoactdetail: function() {
    let that = this;
    console.log(that.data.data.detail)

    wx.navigateTo({
      url: `/pages/actdetail/actdetail?detail=${that.data.data.detail}`,
    })
  }
});